//
//  LZQSelectTime.h
//  SelectTimeTest
//
//  Created by 路准晴 on 16/10/18.
//  Copyright © 2016年 luzhunqing. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol LZQPickerDelegate <NSObject>
@optional
//这几个方法任意选择 determin两个选择其中一个即可

//改变了
- (void)changeTime:(NSString *)time;
//确定选择 返回时间字符串
- (void)determinSelected:(NSString *)time;
//确定选择  返回秒数
- (void)determinReturnSencond:(NSInteger)count;
@end

@interface LZQSelectTime : UIView<UIPickerViewDelegate,UIPickerViewDataSource>

@property(nonatomic,strong)UIPickerView *pickerView;

@property (nonatomic,strong)UIView            *topView;

@property (nonatomic,strong)UIButton          *cancleButton;

@property (nonatomic,strong)UIButton          *determineButton;

@property (nonatomic,assign)id<LZQPickerDelegate> delegate;

@property (nonatomic,copy)NSArray   *hoursArray;
@property (nonatomic,copy)NSArray   *minuteArray;
@property (nonatomic,copy)NSArray   *secondArray;
//类方法创建
+(instancetype)datePickerViewWithDelegate:(id)delegate;
//实例方法创建
- (instancetype)initWithFrame:(CGRect)frame  andDelegate:(id)delegate;
- (void)show;
@end
